Bug 10671 - Koha 3.14 Help Files Update
Summary: Koha 3.14 Help Files Update
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 3.14
Hardware: All All
: P5 - low normal (vote)
Assignee: Nicole C. Engard
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 11238
  Show dependency treegraph
 
Reported: 2013-08-01 12:23 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10671: Help files for course reserves (6.29 KB, patch)
2013-08-01 12:40 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Help files for course reserves (6.33 KB, patch)
2013-08-02 20:59 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 10671: correct minor issues in course reserves help (2.58 KB, patch)
2013-08-02 20:59 UTC, Galen Charlton
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: correct minor issues in course reserves help (2.62 KB, patch)
2013-08-02 21:16 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Help files for course reserves (6.38 KB, patch)
2013-08-04 06:39 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10671: correct minor issues in course reserves help (2.70 KB, patch)
2013-08-04 06:40 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Help files for course reserves (6.45 KB, patch)
2013-08-04 10:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: correct minor issues in course reserves help (2.73 KB, patch)
2013-08-04 10:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10671: Add missing patron lists help (1.70 KB, patch)
2013-10-22 13:37 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Authorities Help (5.07 KB, patch)
2013-10-22 13:43 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update links in Catalog help (4.33 KB, patch)
2013-10-22 13:48 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update main help files (3.53 KB, patch)
2013-10-22 14:06 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Lists Help (1.41 KB, patch)
2013-10-22 14:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Add missing authority merge help (1.96 KB, patch)
2013-10-22 14:38 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update links in label help (6.10 KB, patch)
2013-10-22 14:42 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update patron card creator help (7.24 KB, patch)
2013-10-22 14:49 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update tag tool help (2.32 KB, patch)
2013-10-22 15:08 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update plugins help (2.18 KB, patch)
2013-10-22 15:37 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update suggestion help (1.33 KB, patch)
2013-10-22 15:39 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Add missing patron lists help (1.79 KB, patch)
2013-10-23 19:37 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Update Authorities Help (5.24 KB, patch)
2013-10-23 19:37 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Update links in Catalog help (4.42 KB, patch)
2013-10-23 19:38 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Update main help files (3.72 KB, patch)
2013-10-23 19:38 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Update Lists Help (1.51 KB, patch)
2013-10-23 19:39 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Add missing authority merge help (2.04 KB, patch)
2013-10-23 19:39 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Update links in label help (6.19 KB, patch)
2013-10-23 19:40 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Update patron card creator help (7.34 KB, patch)
2013-10-23 19:40 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Update tag tool help (2.41 KB, patch)
2013-10-23 19:40 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Update plugins help (2.27 KB, patch)
2013-10-23 19:41 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10671: Update suggestion help (1.41 KB, patch)
2013-10-23 19:41 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10671: Update Circ Help Files (2.97 KB, patch)
2013-10-24 16:00 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Circ Help Files (14.40 KB, patch)
2013-10-24 16:06 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Offline Circ Help (3.89 KB, patch)
2013-10-24 16:13 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Remove Unused Help File (2.58 KB, patch)
2013-10-24 16:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Reviews Help (1.33 KB, patch)
2013-10-24 16:20 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update holds help (1.41 KB, patch)
2013-10-24 16:23 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Reports Help (17.41 KB, patch)
2013-10-25 15:23 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Circ Help Files (14.45 KB, patch)
2013-10-25 16:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10671: Update Offline Circ Help (3.94 KB, patch)
2013-10-25 16:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10671: Remove Unused Help File (2.63 KB, patch)
2013-10-25 16:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10671: Update Reviews Help (1.39 KB, patch)
2013-10-25 16:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10671: Update holds help (1.46 KB, patch)
2013-10-25 16:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10671: Update Reports Help (17.46 KB, patch)
2013-10-25 16:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Add missing patron lists help (1.89 KB, patch)
2013-10-28 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update Authorities Help (5.29 KB, patch)
2013-10-28 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update links in Catalog help (4.47 KB, patch)
2013-10-28 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update main help files (3.78 KB, patch)
2013-10-28 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update Lists Help (1.56 KB, patch)
2013-10-28 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Add missing authority merge help (2.10 KB, patch)
2013-10-28 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update links in label help (6.25 KB, patch)
2013-10-28 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update patron card creator help (7.39 KB, patch)
2013-10-28 21:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update tag tool help (2.47 KB, patch)
2013-10-28 21:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update plugins help (2.33 KB, patch)
2013-10-28 21:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update suggestion help (1.47 KB, patch)
2013-10-28 21:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update suggestion help (1.47 KB, patch)
2013-10-28 21:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update Offline Circ Help (4.01 KB, patch)
2013-10-28 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Remove Unused Help File (2.73 KB, patch)
2013-10-28 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update Reviews Help (1.46 KB, patch)
2013-10-28 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update holds help (1.53 KB, patch)
2013-10-28 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10671: Update Reports Help (17.53 KB, patch)
2013-10-28 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10671: Update Cataloging Help (5.90 KB, patch)
2013-10-31 14:38 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Serials Help (7.97 KB, patch)
2013-10-31 14:59 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Tools Help Files (18.43 KB, patch)
2013-10-31 15:10 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Admin Help Files (38.76 KB, patch)
2013-10-31 15:32 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update patron help files (21.75 KB, patch)
2013-10-31 15:55 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Acq Help Files (18.43 KB, patch)
2013-10-31 16:03 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update Acq Help Files (18.43 KB, patch)
2013-10-31 18:15 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10671: Update patron help files [ FOLLOW-UP ] (6.55 KB, patch)
2013-10-31 18:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-08-01 12:23:11 UTC
This is the running bug for the 3.14 help files.
Comment 1 Nicole C. Engard 2013-08-01 12:40:44 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-08-02 20:59:14 UTC Comment hidden (obsolete)
Comment 3 Galen Charlton 2013-08-02 20:59:23 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2013-08-02 21:16:09 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2013-08-04 06:39:44 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2013-08-04 06:40:06 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2013-08-04 10:19:52 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2013-08-04 10:20:09 UTC Comment hidden (obsolete)
Comment 9 Galen Charlton 2013-08-05 13:57:56 UTC
Pushed latest patches to master.  Thanks, Nicole.
Comment 10 Nicole C. Engard 2013-10-22 13:37:36 UTC Comment hidden (obsolete)
Comment 11 Nicole C. Engard 2013-10-22 13:43:28 UTC Comment hidden (obsolete)
Comment 12 Nicole C. Engard 2013-10-22 13:48:48 UTC Comment hidden (obsolete)
Comment 13 Nicole C. Engard 2013-10-22 14:06:39 UTC Comment hidden (obsolete)
Comment 14 Nicole C. Engard 2013-10-22 14:18:52 UTC Comment hidden (obsolete)
Comment 15 Nicole C. Engard 2013-10-22 14:38:17 UTC Comment hidden (obsolete)
Comment 16 Nicole C. Engard 2013-10-22 14:42:17 UTC Comment hidden (obsolete)
Comment 17 Nicole C. Engard 2013-10-22 14:49:01 UTC Comment hidden (obsolete)
Comment 18 Nicole C. Engard 2013-10-22 15:08:31 UTC Comment hidden (obsolete)
Comment 19 Nicole C. Engard 2013-10-22 15:37:38 UTC Comment hidden (obsolete)
Comment 20 Nicole C. Engard 2013-10-22 15:39:13 UTC Comment hidden (obsolete)
Comment 21 Jonathan Druart 2013-10-22 15:42:13 UTC
I proposed a patch for previous release in bug 9850:
http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=9850#c12

Maybe it could be great to do something for these links. It is really useless to keep them up-to-date manually.

For the next release? :)
Comment 22 Nicole C. Engard 2013-10-22 16:16:23 UTC
(In reply to Jonathan Druart from comment #21)
> I proposed a patch for previous release in bug 9850:
> http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=9850#c12
> 
> Maybe it could be great to do something for these links. It is really
> useless to keep them up-to-date manually.
> 
> For the next release? :)

Since it didn't make it in to 3.14 before the freeze I'm doing the help files this way - maybe push to get it in for Koha 3.16 - but I would do that on the bug in question not after I've started writing the help files :)
Comment 23 Bernardo Gonzalez Kriegel 2013-10-23 19:37:41 UTC Comment hidden (obsolete)
Comment 24 Bernardo Gonzalez Kriegel 2013-10-23 19:37:56 UTC Comment hidden (obsolete)
Comment 25 Bernardo Gonzalez Kriegel 2013-10-23 19:38:23 UTC Comment hidden (obsolete)
Comment 26 Bernardo Gonzalez Kriegel 2013-10-23 19:38:50 UTC Comment hidden (obsolete)
Comment 27 Bernardo Gonzalez Kriegel 2013-10-23 19:39:14 UTC Comment hidden (obsolete)
Comment 28 Bernardo Gonzalez Kriegel 2013-10-23 19:39:37 UTC Comment hidden (obsolete)
Comment 29 Bernardo Gonzalez Kriegel 2013-10-23 19:40:15 UTC Comment hidden (obsolete)
Comment 30 Bernardo Gonzalez Kriegel 2013-10-23 19:40:35 UTC Comment hidden (obsolete)
Comment 31 Bernardo Gonzalez Kriegel 2013-10-23 19:40:53 UTC Comment hidden (obsolete)
Comment 32 Bernardo Gonzalez Kriegel 2013-10-23 19:41:16 UTC Comment hidden (obsolete)
Comment 33 Bernardo Gonzalez Kriegel 2013-10-23 19:41:34 UTC Comment hidden (obsolete)
Comment 34 Bernardo Gonzalez Kriegel 2013-10-23 19:43:24 UTC
I think that wait for 3.16 is too much.
Perhaps an ENH for 3.14.1
Comment 35 Nicole C. Engard 2013-10-23 20:08:34 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #34)
> I think that wait for 3.16 is too much.
> Perhaps an ENH for 3.14.1

Please put it on another bug report so we can discuss it there. Here we want to just track the changed help files.

Nicole
Comment 36 Bernardo Gonzalez Kriegel 2013-10-23 20:27:04 UTC
(In reply to Nicole C. Engard from comment #35)
> Please put it on another bug report so we can discuss it there. Here we want
> to just track the changed help files.
> 
Was just a comment when switching state to Signed-off
Comment 37 Nicole C. Engard 2013-10-24 16:00:49 UTC Comment hidden (obsolete)
Comment 38 Nicole C. Engard 2013-10-24 16:06:35 UTC Comment hidden (obsolete)
Comment 39 Nicole C. Engard 2013-10-24 16:13:28 UTC Comment hidden (obsolete)
Comment 40 Nicole C. Engard 2013-10-24 16:18:18 UTC Comment hidden (obsolete)
Comment 41 Nicole C. Engard 2013-10-24 16:20:12 UTC Comment hidden (obsolete)
Comment 42 Nicole C. Engard 2013-10-24 16:23:06 UTC Comment hidden (obsolete)
Comment 43 Nicole C. Engard 2013-10-25 15:23:03 UTC Comment hidden (obsolete)
Comment 44 Nicole C. Engard 2013-10-25 15:25:51 UTC
Changing back to needs signoff for the new patches - but note that most of these are signed off and ready for qa
Comment 45 Kyle M Hall 2013-10-25 16:27:23 UTC Comment hidden (obsolete)
Comment 46 Kyle M Hall 2013-10-25 16:27:28 UTC Comment hidden (obsolete)
Comment 47 Kyle M Hall 2013-10-25 16:27:34 UTC Comment hidden (obsolete)
Comment 48 Kyle M Hall 2013-10-25 16:27:39 UTC Comment hidden (obsolete)
Comment 49 Kyle M Hall 2013-10-25 16:27:46 UTC Comment hidden (obsolete)
Comment 50 Kyle M Hall 2013-10-25 16:27:52 UTC Comment hidden (obsolete)
Comment 51 Katrin Fischer 2013-10-28 21:01:12 UTC Comment hidden (obsolete)
Comment 52 Katrin Fischer 2013-10-28 21:01:28 UTC Comment hidden (obsolete)
Comment 53 Katrin Fischer 2013-10-28 21:01:34 UTC Comment hidden (obsolete)
Comment 54 Katrin Fischer 2013-10-28 21:01:40 UTC Comment hidden (obsolete)
Comment 55 Katrin Fischer 2013-10-28 21:01:44 UTC Comment hidden (obsolete)
Comment 56 Katrin Fischer 2013-10-28 21:01:50 UTC Comment hidden (obsolete)
Comment 57 Katrin Fischer 2013-10-28 21:01:55 UTC Comment hidden (obsolete)
Comment 58 Katrin Fischer 2013-10-28 21:02:02 UTC Comment hidden (obsolete)
Comment 59 Katrin Fischer 2013-10-28 21:02:16 UTC Comment hidden (obsolete)
Comment 60 Katrin Fischer 2013-10-28 21:02:22 UTC Comment hidden (obsolete)
Comment 61 Katrin Fischer 2013-10-28 21:02:27 UTC Comment hidden (obsolete)
Comment 62 Katrin Fischer 2013-10-28 21:33:23 UTC Comment hidden (obsolete)
Comment 63 Katrin Fischer 2013-10-28 21:34:30 UTC Comment hidden (obsolete)
Comment 64 Katrin Fischer 2013-10-28 21:34:35 UTC Comment hidden (obsolete)
Comment 65 Katrin Fischer 2013-10-28 21:34:39 UTC Comment hidden (obsolete)
Comment 66 Katrin Fischer 2013-10-28 21:34:43 UTC Comment hidden (obsolete)
Comment 67 Katrin Fischer 2013-10-28 21:34:48 UTC Comment hidden (obsolete)
Comment 68 Galen Charlton 2013-10-28 22:07:21 UTC
Pushed all of the pending ones to master.  Thanks, Nicole!
Comment 69 Nicole C. Engard 2013-10-31 14:38:19 UTC Comment hidden (obsolete)
Comment 70 Nicole C. Engard 2013-10-31 14:59:06 UTC Comment hidden (obsolete)
Comment 71 Nicole C. Engard 2013-10-31 15:10:26 UTC Comment hidden (obsolete)
Comment 72 Nicole C. Engard 2013-10-31 15:32:26 UTC Comment hidden (obsolete)
Comment 73 Nicole C. Engard 2013-10-31 15:55:20 UTC Comment hidden (obsolete)
Comment 74 Nicole C. Engard 2013-10-31 16:03:10 UTC Comment hidden (obsolete)
Comment 75 Nicole C. Engard 2013-10-31 16:03:53 UTC
These are the last of them - in before the string freeze this time :)

Nicole
Comment 76 Nicole C. Engard 2013-10-31 18:15:40 UTC Comment hidden (obsolete)
Comment 77 Nicole C. Engard 2013-10-31 18:18:35 UTC Comment hidden (obsolete)
Comment 78 Galen Charlton 2013-10-31 23:24:48 UTC
Pushed all of these to master.  Thanks, Nicole!
Comment 79 Nicole C. Engard 2013-11-01 22:17:17 UTC
Awesome!
Comment 80 Jonathan Druart 2013-11-04 14:41:51 UTC
Nicole, 
The following files still contain the string "3.12", do you plan to change them?

help/circ/branchoverdues.tt
help/circ/branchtransfers.tt
help/circ/circulation-home.tt
help/circ/circulation.tt
help/circ/overdue.tt
help/circ/pendingreserves.tt
help/circ/reserveratios.tt
help/circ/returns.tt
help/circ/selectbranchprinter.tt
help/circ/transferstoreceive.tt
help/circ/view_holdsqueue.tt
help/circ/waitingreserves.tt
Comment 81 Nicole C. Engard 2013-11-11 18:08:13 UTC
There was a patch for those - http://bugs.koha-community.org/bugzilla3/attachment.cgi?id=22372&action=diff it says it was pushed. Do I need to do it again?

Nicole
Comment 82 Jonathan Druart 2013-11-12 08:38:24 UTC
(In reply to Nicole C. Engard from comment #81)
> There was a patch for those -
> http://bugs.koha-community.org/bugzilla3/attachment.cgi?id=22372&action=diff
> it says it was pushed. Do I need to do it again?
> 
> Nicole

This patch has been lost, it does not exist in master.
Comment 83 Nicole C. Engard 2013-11-12 14:36:55 UTC
Comment on attachment 22420 [details] [review]
Bug 10671: Update Circ Help Files

Marking this as un-obsolete so that it gets in to Master.
Comment 84 Galen Charlton 2013-11-15 00:31:15 UTC
After clearing it with the translation manager, I've pushed this to master and 3.14.x.  Thanks, Nicole!